TR(1)

NAVN
tr - transskriber eller slet tegn

SYNOPSIS
tr [FLAG]... MÆNGDE1 [MÆNGDE2]

BESKRIVELSE

Transskribér, sammenklem og/eller fjern tegn fra standard-ind, og skriv til standard-ud.

-c, -C, --complement
    brug komplement af MÆNGDE1

-d, --delete
    slet tegn i MÆNGDE1, transskribér ikke

-s, --squeeze-repeats
    erstat hver række af gentagne tegn anført i sidst angivne MÆNGDE med et enkelt af dette tegn

-t, --truncate-set1
    afkort først MÆNGDE1 til længden af MÆNGDE2

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

MÆNGDE er angivet med strenge af tegn. De fleste tegn står for sig selv. Følgende sekvenser tolkes specielt:

\NNN
    tegn med oktalværdi NNN (1 til 3 oktale cifre)

\\  omvendt skråstreg

\a  hørbar BEL

\b  tilbage (backspace)

\f  sideskift

\n  ny linje

\r  vognretur (CR)

\t  vandret tabulator

\v  lodret tabulator

TEGN1-TEGN2
    alle tegn fra TEGN1 til TEGN2, stigende

[TEGN*]
    i MÆNGDE2, kopier af TEGN indtil samme længde til MÆNGDE1

[TEGN*ANTAL]
    ANTAL kopier af TEGN, ANTAL er oktal, hvis det begynder med 0

[:alnum:]
    alle bogstaver og tal

[:alpha:]
    alle bogstaver

[:blank:]
    alle vandrette blanke tegn

[:cntrl:]
    alle kontroltegn

[:digit:]
    alle cifre

[:graph:]
    alle skrivbare tegn, undtaget blanke tegn

[:lower:]
    alle små bogstaver

[:print:]
    alle skrivbare tegn, inkluderet blanke tegn

[:punct:]
    alle tegnsætningstegn

[:space:]
    alle vandrette og lodrette blanke tegn

[:upper:]
    alle store bogstaver

[:xdigit:]
    alle hexadecimale cifre

[=TEGN=]
    alle tegn som er lig TEGN

Der transskriberes hvis -d ikke er givet, og både MÆNGDE1 og MÆNGDE2 er der. -t kan kun bruges ved transskription. MÆNGDE2 bliver udvidet til længden af MÆNGDE1 ved at repetere dets sidste tegn om nødvendigt. Ekstra tegn i MÆNGDE2 ignoreres. Kun [:lower:] og [:upper:] garanteres at udvide i stigende orden; de bruges i MÆNGDE2, og må kun anvendes til at angive versalkonvertering. -s bruger den sidst angivne MÆNGDE, efter transkription eller sletning.

FORFATTER
Skrevet af Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/tr>
eller lokalt tilgængelig via: info '(coreutils) tr invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.